Skip to main content
POST
Create Goal

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <omi_developer_api_key>.

Body

application/json
title
string
required

The goal title/description

Required string length: 1 - 500
current_value
number | null

Optional current progress

desired_outcome
string | null
Maximum string length: 2000
goal_type
enum<string> | null

Optional metric type

Available options:
boolean,
scale,
numeric
horizon_at
string<date-time> | null
max_value
number | null

Optional maximum scale value

min_value
number | null

Optional minimum scale value

success_criteria
string[]
Maximum array length: 20
target_value
number | null

Optional target value

unit
string | null

Unit label (e.g., 'users', 'points')

why_it_matters
string | null
Maximum string length: 2000

Response

Successful Response

created_at
string<date-time>
required
current_value
number
required
desired_outcome
string
required
goal_id
string
required
goal_type
string
required
id
string
required
is_active
boolean
required
max_value
number
required
min_value
number
required
source
string
required
status
string
required
target_value
number
required
title
string
required
updated_at
string<date-time>
required
focus_rank
integer | null
horizon_at
string<date-time> | null
metric
GoalMetric · object | null
success_criteria
string[]
unit
string | null
why_it_matters
string | null